Main Page Widgets Namespaces Book

# Glib::StreamIOChannel Class Reference

This whole class is deprecated in glibmm 2.2. More...

Inheritance diagram for Glib::StreamIOChannel:

[legend]
List of all members.

## Public Member Functions

virtual | ~StreamIOChannel ()

## Static Public Member Functions

Glib::RefPtr<StreamIOChannel> | create (std::istream& stream)
Glib::RefPtr<StreamIOChannel> | create (std::ostream& stream)
Glib::RefPtr<StreamIOChannel> | create (std::iostream& stream)

## Protected Member Functions

| StreamIOChannel (std::istream* stream_in, std::ostream* stream_out)
virtual IOStatus | read_vfunc (char* buf, gsize count, gsize& bytes_read)
virtual IOStatus | write_vfunc (const char* buf, gsize count, gsize& bytes_written)
virtual IOStatus | seek_vfunc (gint64 offset, SeekType type)
virtual IOStatus | close_vfunc ()
virtual IOStatus | set_flags_vfunc (IOFlags flags)
virtual IOFlags | get_flags_vfunc ()
virtual Glib::RefPtr<Glib::Source> | create_watch_vfunc (IOCondition cond)

## Protected Attributes

std::istream* | stream_in_
std::ostream* | stream_out_

## Detailed Description

This whole class is deprecated in glibmm 2.2.

See the Glib::IOChannel documentation for an explanation.

## Constructor & Destructor Documentation

virtual Glib::StreamIOChannel::~StreamIOChannel | ( |  | ) | `[virtual]`

Glib::StreamIOChannel::StreamIOChannel | ( | std::istream* | stream_in,
|  | std::ostream* | stream_out
| ) | `[protected]`

## Member Function Documentation

virtual IOStatus Glib::StreamIOChannel::close_vfunc | ( |  | ) | `[protected, virtual]`

| Reimplemented from Glib::IOChannel.

Glib::RefPtr<StreamIOChannel> Glib::StreamIOChannel::create | ( | std::iostream& | stream | ) | `[static]`

Glib::RefPtr<StreamIOChannel> Glib::StreamIOChannel::create | ( | std::ostream& | stream | ) | `[static]`

Glib::RefPtr<StreamIOChannel> Glib::StreamIOChannel::create | ( | std::istream& | stream | ) | `[static]`

virtual Glib::RefPtr<Glib::Source> Glib::StreamIOChannel::create_watch_vfunc | ( | IOCondition | cond | ) | `[protected, virtual]`

| Reimplemented from Glib::IOChannel.

virtual IOFlags Glib::StreamIOChannel::get_flags_vfunc | ( |  | ) | `[protected, virtual]`

| Reimplemented from Glib::IOChannel.

virtual IOStatus Glib::StreamIOChannel::read_vfunc | ( | char* | buf,
|  | gsize | count,
|  | gsize& | bytes_read
| ) | `[protected, virtual]`

| Reimplemented from Glib::IOChannel.

virtual IOStatus Glib::StreamIOChannel::seek_vfunc | ( | gint64 | offset,
|  | SeekType | type
| ) | `[protected, virtual]`

| Reimplemented from Glib::IOChannel.

virtual IOStatus Glib::StreamIOChannel::set_flags_vfunc | ( | IOFlags | flags | ) | `[protected, virtual]`

| Reimplemented from Glib::IOChannel.

virtual IOStatus Glib::StreamIOChannel::write_vfunc | ( | const char* | buf,
|  | gsize | count,
|  | gsize& | bytes_written
| ) | `[protected, virtual]`

| Reimplemented from Glib::IOChannel.

## Member Data Documentation

std::istream* Glib::StreamIOChannel::stream_in_`[protected]`

std::ostream* Glib::StreamIOChannel::stream_out_`[protected]`

The documentation for this class was generated from the following file:

- streamiochannel.h